from wr_graphics import wr_mouse
from input import Input
from wr_os import open_file


class About_Help():
    _instance = None

    def __new__(cls, *args, **kwargs):
        if not cls._instance:
            cls._instance = super(
                About_Help, cls).__new__(cls)
            # Initialisation des attributs
            cls._instance.initialized = False

        return cls._instance

    def __init__(self):
        if self.initialized:
            return
        self._show = False
        self.view_created = False
        self.initialized = True

    @property
    def show(self):
        return self._show

    @show.setter
    def show(self, new_show):
        self._show = new_show
        if new_show:
            self.view_created = False

    def display(self, gr):
      if not self.view_created:
        open_file(gr,"About_help.png")
        self.view_created = True
      return gr

    def update(self):
        kb = Input().kb
        f1, f2 = wr_mouse()

        if len(f1) > 0 or kb == 2**30:
            self.show = False
