from hpprime import keyboard
from wr_graphics import wr_mouse


class Input:
    _instance = None

    def __new__(cls, *args, **kwargs):
        if not cls._instance:
            cls._instance = super(Input, cls).__new__(cls)
            # Initialisation des attributs
            cls._instance.initialized = False

        return cls._instance

    def __init__(self):
        if not self.initialized:
            # Assignation des attributs
            self.kb = 0
            self.key = 0
            self.alpha = False
            self.shift = False
            self.__oldkb = 0
            self.__oldkb_time = 0

            # Marquer comme initialise
            self.initialized = True

    def update(self, kb):
        self.kb = kb
    
    @staticmethod
    def clear_mouse():
        while len(wr_mouse()[0]) > 0:
            pass
    
    @staticmethod
    def clear_kb():
        while keyboard() != 0:
            pass

