from wr_graphics import clearGR_p, wr_dimgrob_p
from constantes import (
    GR_DRAW,
    GR_LAYERS,
    GR_GUI,
    GR_PAL,
    GR_TMP,
    GR_ZOOM,
    GR_VARIOUS,
    GR_CURS,
    GR_ICO,
)


def init_gr(gr, w, h, c):
    clearGR_p(gr, 0, 0, c)
    wr_dimgrob_p(gr, w, h, c)


def init_all_buffer_grob():
    init_buffer_grob(GR_DRAW)
    init_buffer_grob(GR_LAYERS)
    init_buffer_grob(GR_GUI)
    init_buffer_grob(GR_PAL)
    init_buffer_grob(GR_TMP)
    #init_buffer_grob(GR_ZOOM)
    init_gr(GR_ZOOM, 190, 190, 0xFFFFFF)
    init_buffer_grob(GR_VARIOUS)
    init_buffer_grob(GR_CURS)
    init_buffer_grob(GR_ICO)


def init_buffer_grob(gr):
    init_gr(gr, 320, 240, 0xFFFFFF)
